Subject: bug#66416: 29.1; Crashes when visiting HELLO file with pgtk on Wayland

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Oct 2023 05:30:11 +0300

> From: Yuchen Guo <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 09 Oct 2023 19:07:07 +0000
> 
> > Regardless of this, we would still like to see a full human-readable
> > backtrace with your original setup, so that we could prevent those
> > crashes if that is feasible.
> 
> Emacs just crashed again after sending you the last email.
> Here is the output from gdb
> 
>      https://codeberg.org/m0p/ublock-origin-mirror/raw/branch/main/gdb-1.txt

Thanks.  It sounds like your Emacs has most of its debug info removed,
so the backtrace supplies only a partial information.  Is it possible
for you to rebuild Emacs with -g3 compiler switch and then try to
reproduce the problem?

Alternatively, can you build the current emacs-29 branch of the Emacs
Git repository, and see if the problem reproduces there?  A similar
bug was fixed after Emacs 29.1 was released, so it is possible that
these crashes are already fixed in Git.

> > If the default configuration somehow didn't work for you, please
> > describe the problems, and we will see if the defaults need some
> > changes.
> 
> I would like to use
> 
> - NewComputerModernMono10 as default Monospace font,
> - Tex Gyre Schola as both Serif and Sans Serif font,
> - Fallback to STIX Two Math for missing mathematical symbols
> - Fallback to Noto Serif CJK SC for missing 'han and 'cjk-misc glyphs

Please explain why you want to use these and not the default fonts
Emacs uses on your platform.

> > What are the issues with font setup that Han Unification causes to
> > Emacs users?
> 
> Namely, I am a Chinese speaker, of the Simpified variety on the
> Mainland.  Emacs invariably chooses HK or JP glyphs by default, which I
> do not understand. (I understand neither the behavior of Emacs nor the
> glyphs.) I configured Simplified Chinese [SC] as fallback in fontconfig
> and this works with firefox and terminal emulator.

Can you show screenshots of the same text as Emacs displays by
default, and as it should display according to your preferences?

Thanks.